gliv(1)

NAME
gliv - Ein OpenGL Image Viewer

SYNOPSIS
gliv [OPTIONS]... [FILES]...

BESCHREIBUNG
gliv verwendet gdk-pixbuf um Images zu laden, und OpenGL zur Darstellung. Gliv ermöglicht es, Images zu bewegen, rotieren, zoomen, und durchführen von Slide Shows.

OPTIONS
Die Optionen sind zuerst auf ihre Defaultwerte eingestellt, "off" für Flags, werden dann entweder von ~/.glivrc oder /etc/glivrc oder einem Konfigurationsfile das über die Kommandozeile spezifiert wird, gelesen, oder falls vorhanden, von der Kommandozeile gelesen.
Weglassen des Arguments für eine Option, die ein "on|off" Wertebereich hat, ist gleichbedeutend mit "on", also --foo ist gleichbedeutend mit --foo=on (wenn foo die Werte on|off annehmen kann).

-h, --help
    Anzeigen des Hilfetextes und Ende.

-V, --version
    Anzeige der Version und Ende.

-a, --add-all[=on|off]
    Hinzufügen aller Files im momentanen Directory. Mit dieser Option werden bei Öffnen eines Files (entweder von der Kommandozeile oder mit dem "open" Dialog) alle anderen Files im Directory hinzugefügt.

-R, --recursive[=on|off]
    Rekursiv alle Unterverzeichnisse miteinbeziehen. Wenn gliv alle Images eines Verzeichnisses lädt, werden rekursiv auch alle Images aller Unterverzeichnisse geladen.

-S, --sort[=on|off]
    Images sortiert anzeigen. Die Images werden vor der Slideshow sortiert.

-s, --shuffle[=on|off]
    Images in zufälliger Reihenfolge anzeigen. Die Slideshow wird in zufälliger Reihenfolge durchgeführt.

-F, --force-load[=on|off]
    Versuchen jedes File zu laden. Beim Laden eines Files wird anhand der Filenamenserweiterung (Extension, z.B . .jpg) entschieden, was für ein Lader verwendet wird. Bei unbekannter Extension wird ein File ignoriert, durch Angabe dieser Option versucht gliv jedes File zu laden.

-C, --client[=on|off]
    Verbindung zu einem bereits laufenden gliv herstellen. Durch Verwendung dieser Option öffnet die gliv Instanz im Serverfenster zusätzlich die Files die als Argumente auf der Kommandozeile übergeben werden. It can also be used with the -0 option. Der gliv Server ist entweder die zuletzt gestartete gliv Instanz, oder diejenige die im "Options" Menü ausgewählt wurde.

-c, --client-clear[=on|off]
    Connect to a running gliv, replacing the list. This is like the --client option except that the specified list on the client will replace the list on the server instead of being appended to.

-e, --build-menus[=on|off]
    Unterdrücke das "Images" Menü beim Start. Dies beschleunigt den Start von gliv, vor allem mit vielen Files als Argument auf der Kommandozeile.

-g, --glivrc[=FILE]
    Verwende das angegebene File als Konfigurationsfile (oder keines). Dies unterdrückt die Abarbeitung vorhandener Konfigurationsfiles (~/.glivrc und /etc/glivrc).

-w, --slide-show[=on|off]
    Slideshow sofort starten. Durch Angabe dieser Option ist ein manueller Start der Slideshow im Menü nicht erforderlich.

-0, --null[=on|off]
    Lese null-terminierte Filenamen. Die kann zusammen mit "find -print0" oder mit "tr '\n' '\0'" verwendet werden, wenn eine sehr lange Liste von Filenamen an gliv übergeben werden soll. Im Gegensatz zu xargs(1) ist so eine unendliche Anzahl von Filenamen möglich.

-o, --collection[=FILE]
    Output a collection. With this option, gliv creates a collection from the loaded files and outputs it to stdout or in the specified file.

-G, --geometry=GEOMETRY
    Initial window geometry. This option can be used to specify the position and dimension of the gliv window. It expects a geometry argument in the XParseGeometry(3X11) format like: 640x480+20-30 for example.

COLLECTIONS
Seit Version 1.8 unterstützt gliv ein Fileformat namens "GLiv collection". Es enthält eine Liste aller Images und der entsprechenden Thumbnails. Auf diesem Weg wird der Aufbau des "Images" Menüs beschleunigt, da die Thumbnails nicht mehr neu generiert werden müssen.
Für diese Collections wird gliv auch transparente Decompression unterstützt, so daß die Collections mittels bzip2, gzip or compress(1) komprimiert werden können (vorausgesetzt der entsprechende Decompressor ist installiert).

CONTROLS
ESC, q : Beenden
f : Vollbild/Fenster
+/=/- : Zoom in/in/out
n/p : Nächstes/vorheriges Bild
Pause : Start/stop the slide show
l : Bild auf die Fenstergröße verkleinern
M : Bild auf die Fenstergröße vergrößern
m : Bild der Fenstergröße anpassen
r : Position und Größe zurücksetzen
b : Menüzeile anzeigen/verstecken
i : Informationszeile anzeigen/verstecken
s : Scrollbalken anzeigen/verstecken
a : Alphakanalmuster anzeigen/verstecken
h : Hilfefenster anzeigen/verstecken
w : Toggle display of floating windows
o : Dialog »Datei öffnen« anzeigen
g : Display the image selector
t : Dialog »Einstellungen« anzeigen
d : Mauszeiger verstecken
u : Rückgängig
y : Wiederherstellen
c : Verlauf löschen
Delete : Delete the current file
C-hoch : Um 90 Grad gegen den Uhrzeigersinn rotieren
C-runter : Um 90 Grad im Uhrzeigersinn rotieren
C-links : Um 0,1 Grad gegen den Uhrzeigersinn rotieren
C-rechts : Um 0,1 Grad im Uhrzeigersinn rotieren
z : Horizontal spiegeln
e : Vertical spiegeln
Die linke Maustaste und die Pfeiltasten verschieben das Bild auf dem Bildschirm, solange die Strg-Taste nicht gedrückt ist. Wenn sie Strg-Taste gedrückt ist, können Sie mit der linken Maustaste oder den Pfeiltasten das Bild drehen.
The mouse wheel zooms the image, and when you hold its button pressed at the same time it switches to the neighbouring image.
Sie können das Bild auch vergrößern und verkleinern, indem Sie die Maus vertikal bewegen und dabei die Umschalttaste gedrückt halten.
Die Leertaste und Backspace machen das gleiche wie die Tasten n und p.
Zeichnen Sie mit der rechten Maustaste ein Rechteck, und GLiv wird hineinzoomen.

FILE
~/.glivrc - Dieses File ist nicht zwingend erforderlich.

AUTHOR
Guillaume Chazarain <guichaz@gmail.com>
See http://guichaz.free.fr/gliv